---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.0.15/23"],"mac_address":"3e:b5:a6:80:00:10","gateway_ips":["10.128.0.1"],"ip_address":"10.128.0.15/23","gateway_ip":"10.128.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.15"
          ],
          "mac": "3e:b5:a6:80:00:10",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.15"
          ],
          "mac": "3e:b5:a6:80:00:10",
          "default": true,
          "dns": {}
      }]
  creationTimestamp: "2020-05-26T09:38:52Z"
  generateName: multus-admission-controller-
  labels:
    app: multus-admission-controller
    component: network
    controller-revision-hash: 5ddc6996dc
    namespace: openshift-multus
    openshift.io/component: network
    pod-template-generation: "1"
    type: infra
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
          f:controller-revision-hash: {}
          f:namespace: {}
          f:openshift.io/component: {}
          f:pod-template-generation: {}
          f:type: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"ddd221a2-4992-422e-9535-8a7dfe142634"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution:
              .: {}
              f:nodeSelectorTerms: {}
        f:containers:
          k:{"name":"kube-rbac-proxy"}:
            .: {}
            f:args: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":8443,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/webhook"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
          k:{"name":"multus-admission-controller"}:
            .: {}
            f:args: {}
            f:command: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":9091,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/webhook"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"webhook-certs"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:secretName: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T09:38:52Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T09:38:53Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T09:40:00Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.128.0.15"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T09:40:09Z"
  name: multus-admission-controller-qspkw
  namespace: openshift-multus
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: multus-admission-controller
    uid: ddd221a2-4992-422e-9535-8a7dfe142634
  resourceVersion: "5304"
  selfLink: /api/v1/namespaces/openshift-multus/pods/multus-admission-controller-qspkw
  uid: dfa32d9e-1be0-4be3-8023-831eac1dee89
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - skumari-gcp-wd9nd-master-0.c.openshift-gce-devel.internal
  containers:
  - args:
    - -bind-address=0.0.0.0
    - -port=6443
    - -tls-private-key-file=/etc/webhook/tls.key
    - -tls-cert-file=/etc/webhook/tls.crt
    - -alsologtostderr=true
    - -metrics-listen-address=127.0.0.1:9091
    command:
    - /usr/bin/webhook
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:0d664435a745d502c0874504026c03f192ff683ec9dd664e63337e949bd1ee59
    imagePullPolicy: IfNotPresent
    name: multus-admission-controller
    ports:
    - containerPort: 9091
      name: metrics-port
      protocol: TCP
    resources:
      requests:
        cpu: 10m
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/webhook
      name: webhook-certs
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: multus-token-q5lq5
      readOnly: true
  - args:
    - --logtostderr
    - --secure-listen-address=:8443
    - --tls-cipher-suites=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_RSA_WITH_AES_128_CBC_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256,TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256
    - --upstream=http://127.0.0.1:9091/
    - --tls-private-key-file=/etc/webhook/tls.key
    - --tls-cert-file=/etc/webhook/tls.crt
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:29f0d4919af5f9159b3bdc4deb8929b0e9320640dd4985546ca68b87d1cadf30
    imagePullPolicy: IfNotPresent
    name: kube-rbac-proxy
    ports:
    - containerPort: 8443
      name: https
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 20Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/webhook
      name: webhook-certs
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: multus-token-q5lq5
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: skumari-gcp-wd9nd-master-0.c.openshift-gce-devel.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: multus
  serviceAccountName: multus
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/disk-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/pid-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/unschedulable
    operator: Exists
  volumes:
  - name: webhook-certs
    secret:
      defaultMode: 420
      secretName: multus-admission-controller-secret
  - name: multus-token-q5lq5
    secret:
      defaultMode: 420
      secretName: multus-token-q5lq5
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:38:52Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:40:09Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:40:09Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:38:52Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://f0b6a5a7455da3b6b16ee8e2637d2db816d54587fc09e02cadc4a4c1e97ca94d
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:29f0d4919af5f9159b3bdc4deb8929b0e9320640dd4985546ca68b87d1cadf30
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:29f0d4919af5f9159b3bdc4deb8929b0e9320640dd4985546ca68b87d1cadf30
    lastState: {}
    name: kube-rbac-proxy
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T09:40:09Z"
  - containerID: cri-o://11930922f1b718ee734072db12839e9889a77fdd60e6e5c10a6ab0f7bf9afbd2
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:0d664435a745d502c0874504026c03f192ff683ec9dd664e63337e949bd1ee59
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:0d664435a745d502c0874504026c03f192ff683ec9dd664e63337e949bd1ee59
    lastState: {}
    name: multus-admission-controller
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T09:40:02Z"
  hostIP: 10.0.0.3
  phase: Running
  podIP: 10.128.0.15
  podIPs:
  - ip: 10.128.0.15
  qosClass: Burstable
  startTime: "2020-05-26T09:38:52Z"
